<?php

use EventPortal\Http\Controllers\Admin\Delegate\DelegateController;
use EventPortal\Http\Controllers\Admin\Event\ArchiveEventController;
use EventPortal\Http\Controllers\Admin\Event\EventController;
use EventPortal\Http\Controllers\Admin\Event\UnArchiveEventController;
use EventPortal\Http\Controllers\Admin\EventDelegate\AssociateToEventController;
use EventPortal\Http\Controllers\Admin\EventDelegate\DelegatesNotOnEventController;
use EventPortal\Http\Controllers\Admin\EventDelegate\EventDelegateController;

Route::get('/', 'DashboardController')->name('admin.dashboard.index');

Route::group(['prefix' => 'event'], function (): void {
    Route::group(['prefix' => '{event}/delegate'], static function (): void {
        Route::get('/add', [DelegatesNotOnEventController::class, 'index'])->name('admin.event.delegate.create');
        Route::post('/add', [AssociateToEventController::class, 'store'])->name('admin.event.delegate.store');

        Route::get('/', [EventDelegateController::class, 'index'])->name('admin.event.delegate.index');
        Route::get('{delegate}', [EventDelegateController::class, 'show'])->name('admin.event.delegate.show');
    });

    Route::get('/', [EventController::class, 'index'])->name('admin.event.index');
    Route::post('/', [EventController::class, 'store'])->name('admin.event.store');
    Route::get('create', [EventController::class, 'create'])->name('admin.event.create');
    Route::get('{event}', [EventController::class, 'show'])->name('admin.event.show');
    Route::get('{event}/edit', [EventController::class, 'edit'])->name('admin.event.edit');
    Route::post('{event}/update', [EventController::class, 'update'])->name('admin.event.update');
    Route::post('{event}/delete', [EventController::class, 'delete'])->name('admin.event.delete');

    Route::post('{event}/archive', [ArchiveEventController::class])->name('admin.event.archive.store');
    Route::post('{event}/un-archive', [UnArchiveEventController::class])->name('admin.event.archive.destroy');
});

Route::group(['prefix' => 'delegate'], function (): void {
    Route::get('/', [DelegateController::class, 'index'])->name('admin.delegate.index');
    Route::get('create', [DelegateController::class, 'create'])->name('admin.delegate.create');
    Route::post('/', [DelegateController::class, 'store'])->name('admin.delegate.store');
    Route::get('{delegate}/edit', [DelegateController::class, 'edit'])->name('admin.delegate.edit');
    Route::post('{delegate}/update', [DelegateController::class, 'update'])->name('admin.delegate.update');
    Route::get('{delegate}', [DelegateController::class, 'show'])->name('admin.delegate.show');
});
