<?php

namespace EventPortal\Domain\Event\Fields;

use EventPortal\Domain\Component\Input\Text;
use EventPortal\Domain\Component\Option;
use EventPortal\Domain\Component\Section;
use EventPortal\Domain\Component\Selection\RadioButtons;

class EventFields
{
    public function __invoke(): array
    {
        return [
            Section::make('Key Details')->fields([
                Text::make('Name')->rules(['required']),
                Text::make('Url')
                    ->rules(['required'])
                    ->placeholder('http://google.com/')
                    ->helpText('For example: /event-name-06-08-2020'),
                RadioButtons::make('Is your event internal?')
                    ->options([
                        Option::make('Internal'),
                        Option::make('External'),
                    ])
                    ->rules(['required']),
            ]),
            Section::make('Contact Details')->fields([
                Text::make('Phone'),
                Text::make('Email')->rules('email'),
            ]),
        ];
    }
}
