<?php

namespace EventPortal\Tests;

use DMS\PHPUnitExtensions\ArraySubset\ArraySubsetAsserts;
use EventPortal\Concerns\LoadTablesAndForms;
use EventPortal\Providers\EventPortalServiceProvider;
use EventPortal\Tests\Support\Assertions\CollectionAssertions;
use EventPortal\Tests\Support\Assertions\PropAssertions;
use EventPortal\Tests\Support\Traits\InteractsWithModels;
use EventPortal\Tests\Support\Traits\InteractsWithResponses;
use Illuminate\Support\Collection;
use Illuminate\Testing\TestResponse;

class TestCase extends \Orchestra\Testbench\TestCase
{
    use ArraySubsetAsserts, InteractsWithModels, InteractsWithResponses, LoadTablesAndForms;


    public function setUp(): void
    {
        parent::setUp();

        $this->loadMigrationsFrom(base_path('/database/migrations'));

        $this->app->booted(function (): void {
            $this->loadForms();
            $this->loadTables();
        });

        TestResponse::mixin(new PropAssertions);
        Collection::mixin(new CollectionAssertions);
    }

    protected function getPackageProviders($app)
    {
        return [EventPortalServiceProvider::class];
    }
}
